Only create a tmpfs big enough for DIB_MIN_TMPFS

This will help to ensure images that would cause bug #1289582 would
still fail even on systems that have more RAM. Also this will ensure we
only reserve enough tmpfs space for this build.

Change-Id: Icece64e691d126a5fc89262897630fdbef1ffdf1
This commit is contained in:
Clint Byrum 2014-03-07 12:52:15 -08:00
parent cfdad8e211
commit e63625a7e1

View File

@ -31,7 +31,7 @@ function mk_build_dir () {
[ $? -eq 0 ] || die "Failed to create tmp directory" [ $? -eq 0 ] || die "Failed to create tmp directory"
export TMP_BUILD_DIR export TMP_BUILD_DIR
if tmpfs_check ; then if tmpfs_check ; then
sudo mount -t tmpfs tmpfs $TMP_BUILD_DIR sudo mount -t tmpfs tmpfs -o size=$(($DIB_MIN_TMPFS*2))G $TMP_BUILD_DIR
fi fi
sudo chown $(id -u):$(id -g) $TMP_BUILD_DIR sudo chown $(id -u):$(id -g) $TMP_BUILD_DIR
trap cleanup EXIT trap cleanup EXIT